Bug 113099 - CAN-2003-0461 /proc reveals char count
CAN-2003-0461 /proc reveals char count
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
: Security
Depends On:
Blocks: 107562
  Show dependency treegraph
Reported: 2004-01-08 10:25 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-11 21:08:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-01-08 10:25:43 EST
CAN-2003-0461 /proc/tty/driver/serial in Linux 2.4.x reveals the exact
number of characters used in serial links, which could allow local
users to obtain potentially sensitive information such as the length
of passwords.


This is a minor issue but should be addressed with some future
Comment 1 Mark J. Cox (Product Security) 2004-01-08 10:26:24 EST
(note not fixed in 2.4.21-7.EL)
Comment 3 Ernie Petrides 2004-02-11 00:54:14 EST
A fix for this problem has just been committed to the RHEL3 U2
patch pool tonight.  It will first be available in kernel version

The /proc/tty/driver directory will now have permissions of 500
(i.e., root-only access).
Comment 4 John Flanagan 2004-05-11 21:08:15 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.